### Function

# GioUnix mounts_get

since: 2.0

#### Declaration

    GList*
    g_unix_mounts_get (
      guint64* time_read
    )

#### Description

Gets a `GList` of `GUnixMountEntry` containing the unix mounts. If `time_read` is set, it will be filled with the mount timestamp, allowing for checking if the mounts have changed with g_unix_mounts_changed_since().

Available since: 2.0

#### Parameters

`time_read`

  Type: `guint64*`

  Guint64 to contain a timestamp, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: A list of `GUnixMountEntry*`

    a `GList` of the UNIX mounts.

The caller of the function takes ownership of the data, and is responsible for freeing it.